Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Ошибка при обновлении Ubuntu12.04  (Прочитано 1984 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн grigis

  • Автор темы
  • Новичок
  • *
  • Сообщений: 10
    • Просмотр профиля
Ошибка при обновлении Ubuntu12.04
« : 01 Февраль 2013, 08:43:08 »
Не ставится Linux kernel headers for version 3.2.0 on 32 bit x86 SMP

Воспользовался советами по ошибке и в терминале использовал команду apt-get install -f

В результате получил следующее:
Цитировать
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  libsdl-gfx1.2-4 libglew1.5 libsdl-net1.2 libsdl-ttf2.0-0 libmikmod2
  libboost-signals1.46.1 libsdl-mixer1.2
Для их удаления используйте «apt-get autoremove».
Будут установлены следующие дополнительные пакеты:
  linux-headers-3.2.0-37-generic
НОВЫЕ пакеты, которые будут установлены:
  linux-headers-3.2.0-37-generic
обновлено 0, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 2 пакетов.
Необходимо скачать 0 B/981 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 11,2 MB.
Хотите продолжить [Д/н]? д
(Чтение базы данных ... на данный момент установлен 604461 файл и каталог.)
Распаковывается пакет linux-headers-3.2.0-37-generic (из файла .../linux-headers-3.2.0-37-generic_3.2.0-37.58_i386.deb)...
dpkg: не удалось обработать параметр /var/cache/apt/archives/linux-headers-3.2.0-37-generic_3.2.0-37.58_i386.deb (--unpack):
 не удалось создать «/usr/src/linux-headers-3.2.0-37-generic/include/config/ad7606/iface/spi.h.dpkg-new» (при обработке «./usr/src/linux-headers-3.2.0-37-generic/include/config/ad7606/iface/spi.h»): На устройстве кончилось место
Отчёты apport не записаны, так достигнут MaxReports
                                                   dpkg-deb: ошибка: подпроцесс вставка был завершён по сигналу (Обрыв канала)
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/linux-headers-3.2.0-37-generic_3.2.0-37.58_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Оффлайн shumtest

  • Активист
  • *
  • Сообщений: 731
  • Это вам просто кажется...
    • Просмотр профиля
    • Блог Шумомера
Re: Ошибка при обновлении Ubuntu12.04
« Ответ #1 : 01 Февраль 2013, 08:53:36 »
Цитировать
На устройстве кончилось место
Ни о чем не говорит, не?

Оффлайн AzraelKDE

  • Активист
  • *
  • Сообщений: 773
  • Kubuntu/Xubuntu user
    • Просмотр профиля
Re: Ошибка при обновлении Ubuntu12.04
« Ответ #2 : 01 Февраль 2013, 08:59:30 »
Удалите старые ядра, и сделайте sudo apt-get clean
Java + HTML5 = Brain explosion.

Оффлайн grigis

  • Автор темы
  • Новичок
  • *
  • Сообщений: 10
    • Просмотр профиля
Re: Ошибка при обновлении Ubuntu12.04
« Ответ #3 : 01 Февраль 2013, 09:08:28 »
Я в Ubuntu лох. Как удалить старые ядра?

Оффлайн AzraelKDE

  • Активист
  • *
  • Сообщений: 773
  • Kubuntu/Xubuntu user
    • Просмотр профиля
Re: Ошибка при обновлении Ubuntu12.04
« Ответ #4 : 01 Февраль 2013, 09:13:07 »
grigis, способа 3.
1. поставить grub-customizer, ЕМНИП у него есть такая фича.
2. с помощью Ubuntu Tweak http://www.ithowto.ru/698-udalenie-staryh-yader-v-ubuntu-1204-s-pomoschyu-ubuntu-tweak.html
3. через теминал
sudo apt-get purge $(dpkg -l 'linux-*' | sed '/^ii/!d;/'"$(uname -r | sed "s/\(.*\)-\([^0-9]\+\)/\1/")"'/d;s/^[^ ]* [^ ]* \([^ ]*\).*/\1/;/[0-9]/!d' | head -n -1) --assume-yes
sudo update-grub
« Последнее редактирование: 01 Февраль 2013, 09:14:44 от AzraelKDE »
Java + HTML5 = Brain explosion.

Pilot6

  • Гость
Re: Ошибка при обновлении Ubuntu12.04
« Ответ #5 : 01 Февраль 2013, 09:54:28 »
grigis,
Ядра проще всего удалять с помощью synaptic.

Оффлайн [ecco]

  • Новичок
  • *
  • Сообщений: 49
    • Просмотр профиля
Re: Ошибка при обновлении Ubuntu12.04
« Ответ #6 : 01 Февраль 2013, 15:55:26 »
Здравствуйте. Установлена ubuntu 12.04, при попытке запуска пришедших обновлений, выскакивает такое окошко. Может быть кто знает, как решить данную проблему?
« Последнее редактирование: 01 Февраль 2013, 15:57:21 от [ecco] »

Оффлайн AzraelKDE

  • Активист
  • *
  • Сообщений: 773
  • Kubuntu/Xubuntu user
    • Просмотр профиля
Re: Ошибка при обновлении Ubuntu12.04
« Ответ #7 : 01 Февраль 2013, 18:08:20 »
[ecco], разрешите установку ненадёжных пакетов в источниках приложений.
Java + HTML5 = Brain explosion.

Оффлайн [ecco]

  • Новичок
  • *
  • Сообщений: 49
    • Просмотр профиля
Re: Ошибка при обновлении Ubuntu12.04
« Ответ #8 : 01 Февраль 2013, 18:14:52 »
AzraelKDE,
Ни чего подобного не нашел в настройках менеджера обновлений :(

 
« Последнее редактирование: 01 Февраль 2013, 18:20:04 от [ecco] »

Оффлайн AntonioModer

  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Re: Ошибка при обновлении Ubuntu12.04
« Ответ #9 : 01 Февраль 2013, 18:24:36 »
А я вобсче, поставил обновлять Ubuntu с 12.04 в 12.04.1, затем зашел в полноэкранный терминал (алт+цтрл+эф1 вроде). Не смог с него выйти. Вырубил комп кнопкой. И Ubuntu настал капец - не грузиться, при загрузке пишет что нету каталога. Пришлось заново переустанавливать.

Оффлайн [ecco]

  • Новичок
  • *
  • Сообщений: 49
    • Просмотр профиля
Re: Ошибка при обновлении Ubuntu12.04
« Ответ #10 : 01 Февраль 2013, 18:34:11 »
Здравствуйте. Установлена ubuntu 12.04, при попытке запуска пришедших обновлений, выскакивает такое окошко. Может быть кто знает, как решить данную проблему?
Все решилось запуском команды в терминале sudo aptitude update

Оффлайн valdaj

  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Re: Ошибка при обновлении Ubuntu12.04
« Ответ #11 : 02 Февраль 2013, 21:10:06 »
у меня после автоматического обновления вьібивает сообщение "the system is running in low-graphics mode" потом спрашивает "what would you like to do?" и что бьі я не вьібрал - кидает меня в консоль. А дальше я не знаю, что делать. В хелпе отьіскать не могу.
Стоит снести и поставить виндоз?

Оффлайн gregory5

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 5085
    • Просмотр профиля
Re: Ошибка при обновлении Ubuntu12.04
« Ответ #12 : 02 Февраль 2013, 21:15:24 »
нет
просто нужно установить через консоль драйвер на видеокарту
вы видимо ставили сами его и не так как советуют
нужно со сборкой пакета если это ати/амд или через подключения репозитория если это nvidia

в хелпе есть оба варианта инструкций

Pilot6

  • Гость
Re: Ошибка при обновлении Ubuntu12.04
« Ответ #13 : 02 Февраль 2013, 21:18:57 »
valdaj,
Я всем постоянно объясняю, что драйверы для видеокарт не надо скачивать с сайтов производителей. Это приводит как раз к такой ситуации.

 

Страница сгенерирована за 0.095 секунд. Запросов: 24.